> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get WorkflowTaskGroup by ID

GET https://{tenant_name}.benchling.com/api/v3/workflow-task-group/{workflow_task_group_id}

Get a single WorkflowTaskGroup by ID.

Reference: https://docs.benchling.com/docs/api/benchling-api/workflow-task-group/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `workflow_task_group_id` (string, required) — ID of the WorkflowTaskGroup.

### Query parameters

- `returning` (string, optional) — Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
- `omit` (string, optional) — Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

## Response

### 200

OK

- `__typename` (string, optional)
- `archiveReason` (string, optional, nullable)
- `archived` (boolean, optional)
- `authors` (string, optional, nullable)
- `childWorkflowTaskGroups` (string, optional, nullable) — The list of workflow task groups for which this task group is the root in a flowchart
- `createdAt` (string, optional)
- `creator` (PrincipalRef, optional, nullable)
- `displayId` (string, optional, nullable) — User-friendly ID of the workflow task group
- `folder` (FolderRef, optional)
- `id` (string, optional) — The ID of the workflow task group
- `modifiedAt` (string, optional)
- `name` (string, optional, nullable) — The name of the workflow task group
- `requestSubmission` (RequestV2SubmissionRef, optional, nullable) — A request that this task group was created to fulfill.
- `rootWorkflowTaskGroup` (WorkflowTaskGroupRef, optional, nullable) — The workflow task group which corresponds to the root node in a flowchart. This is only non-null for task groups that are part of a flowchart
- `workflowOutputs` (string, optional, nullable) — The outputs of the workflow task group
- `workflowTaskSchema` (WorkflowTaskSchemaRef, optional)
- `workflowTasks` (string, optional, nullable) — The tasks in the workflow task group

## Errors

### 400 Workflow Task Group Get Request Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Workflow Task Group Get Request Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Workflow Task Group Get Request Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Workflow Task Group Get Request Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)
- `violated-policies` (list of enum, optional) — The budget policies that rejected the request, in canonical order: `user`, `integration`, then `tenant`.
  - Allowed values: `user`, `integration`, `tenant`

### 500 Workflow Task Group Get Request Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### PrincipalRef

- `__typename` (string, optional)
- `id` (string, optional)

### FolderRef

- `__typename` (string, optional)
- `id` (string, optional)

### RequestV2SubmissionRef

- `__typename` (string, optional)
- `id` (string, optional)

### WorkflowTaskGroupRef

- `__typename` (string, optional)
- `id` (string, optional)

### WorkflowTaskSchemaRef

- `__typename` (string, optional)
- `id` (string, optional)

### GeneralErrorDetail

### TooManyRequestsErrorBodyDetail

### InternalServerErrorBodyDetail

## Examples

**Response**

```json
{
  "__typename": "__typename",
  "archiveReason": "archiveReason",
  "archived": true,
  "authors": "authors",
  "childWorkflowTaskGroups": "childWorkflowTaskGroups",
  "createdAt": "createdAt",
  "creator": {
    "__typename": "__typename",
    "id": "id"
  },
  "displayId": "displayId",
  "folder": {
    "__typename": "__typename",
    "id": "id"
  },
  "id": "id",
  "modifiedAt": "modifiedAt",
  "name": "name",
  "requestSubmission": {
    "__typename": "__typename",
    "id": "id"
  },
  "rootWorkflowTaskGroup": {
    "__typename": "__typename",
    "id": "id"
  },
  "workflowOutputs": "workflowOutputs",
  "workflowTaskSchema": {
    "__typename": "__typename",
    "id": "id"
  },
  "workflowTasks": "workflowTasks"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/workflow-task-group/workflow_task_group_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/workflow-task-group/workflow_task_group_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```